kind: VirtualService
apiVersion: networking.istio.io/v1alpha3
metadata:
  name: members
  namespace: membersapp-mesh
  uid: 96c99ed9-cb4e-45fc-8a76-2f3b3415a229
  resourceVersion: '15380341'
  generation: 7
  creationTimestamp: '2022-04-11T17:40:48Z'
  managedFields:
    - manager: Mozilla
      operation: Update
      apiVersion: networking.istio.io/v1alpha3
      time: '2022-04-11T17:40:48Z'
      fieldsType: FieldsV1
      fieldsV1:
        'f:spec':
          .: {}
          'f:gateways': {}
    - manager: Mozilla
      operation: Update
      apiVersion: networking.istio.io/v1beta1
      time: '2022-04-12T09:50:58Z'
      fieldsType: FieldsV1
      fieldsV1:
        'f:spec':
          'f:http': {}
    - manager: Go-http-client
      operation: Update
      apiVersion: networking.istio.io/v1alpha3
      time: '2022-04-12T09:58:27Z'
      fieldsType: FieldsV1
      fieldsV1:
        'f:spec':
          'f:hosts': {}
spec:
  hosts:
    - members3scale.apps.coffee.demolab.local
    - '*.svc.cluster.local'
  gateways:
    - membersapp-mesh/members3scale-gateway
  http:
    - match:
        - uri:
            exact: /v1/membersweb/rest/members
        - uri:
            prefix: /v1/membersweb/rest/members
      rewrite:
        uri: /membersweb/rest/members
      route:
        - destination:
            host: members.membersapp-mesh.svc.cluster.local
            subset: v1
          weight: 100
        - destination:
            host: members.membersapp-mesh.svc.cluster.local
            subset: v2
    - match:
        - uri:
            exact: /v2/membersweb/rest/members
        - uri:
            prefix: /v2/membersweb/rest/members
      rewrite:
        uri: /membersweb/rest/members
      route:
        - destination:
            host: members.membersapp-mesh.svc.cluster.local
            subset: v1
        - destination:
            host: members.membersapp-mesh.svc.cluster.local
            subset: v2
          weight: 100
